"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TooltipSkin = void 0;

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _Bubble = require("../../components/Bubble");

var _BubbleSkin = require("./BubbleSkin");

var _props = require("../../utils/props");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var TooltipSkin = function TooltipSkin(props) {
  var theme = props.theme,
      themeId = props.themeId;
  return _react["default"].createElement("span", _extends({}, (0, _props.pickDOMProps)(props), {
    className: (0, _classnames["default"])([props.className, theme[themeId].root])
  }), _react["default"].createElement(_Bubble.Bubble, {
    className: (0, _classnames["default"])([theme[themeId].bubble, props.isAligningRight ? theme[themeId].alignRight : theme[themeId].alignLeft, props.isBounded ? null : theme[themeId].nowrap]),
    theme: theme,
    isOpeningUpward: props.isOpeningUpward,
    skin: _BubbleSkin.BubbleSkin,
    isTransparent: props.isTransparent,
    arrowRelativeToTip: props.arrowRelativeToTip
  }, props.tip), props.children);
};

exports.TooltipSkin = TooltipSkin;
//# sourceMappingURL=TooltipSkin.js.map